> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.alephant.io/api-reference/saa-s-api/cockpit/daily-costs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.alephant.io/_mcp/server. # Cockpit daily costs GET https://alephant.io/api/v1/cockpit/daily-costs Per-day cost, requests, and tokens for the VK scope. Reference: https://developers.alephant.io/api-reference/saa-s-api/cockpit/daily-costs ## Servers - `https://alephant.io` (Production, default) - `https://dev.alephant.io` (Development) ## Request ### Query parameters - `period` (string, optional, default: billing_cycle) — Period key ### Headers - `Authorization` (string, required) — Bearer virtual key token (prefix vk-) ## Response ### 200 OK - `data` (list of github_com_alephant_backend-saas-service_internal_service.CockpitDailyPoint, optional) - `data_source` (string, optional) - `degraded` (boolean, optional) - `message` (string, optional) - `period` (github_com_alephant_backend-saas-service_internal_service.CockpitPeriod, optional) ## Errors ### 401 Unauthorized Error Missing or invalid virtual key - `map from string to any` ## Types ### github_com_alephant_backend-saas-service_internal_service.CockpitDailyPoint - `cost_cents` (integer, optional) - `date` (string, optional) - `requests` (integer, optional) - `tokens` (integer, optional) ### github_com_alephant_backend-saas-service_internal_service.CockpitPeriod - `from` (string, optional) - `to` (string, optional) ## Examples **Response** ```json { "data": [ { "cost_cents": 1, "date": "string", "requests": 1, "tokens": 1 } ], "data_source": "string", "degraded": true, "message": "string", "period": { "from": "string", "to": "string" } } ``` **SDK Code** ```python import requests url = "https://alephant.io/api/v1/cockpit/daily-costs" headers = {"Authorization": "Authorization"} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://alephant.io/api/v1/cockpit/daily-costs'; const options = {method: 'GET', headers: {Authorization: 'Authorization'}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://alephant.io/api/v1/cockpit/daily-costs" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Authorization") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://alephant.io/api/v1/cockpit/daily-costs") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Authorization' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://alephant.io/api/v1/cockpit/daily-costs") .header("Authorization", "Authorization") .asString(); ``` ```php request('GET', 'https://alephant.io/api/v1/cockpit/daily-costs', [ 'headers' => [ 'Authorization' => 'Authorization', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://alephant.io/api/v1/cockpit/daily-costs"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Authorization"); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Authorization"] let request = NSMutableURLRequest(url: NSURL(string: "https://alephant.io/api/v1/cockpit/daily-costs")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```